Name:           wyrd
Version:        1.4.3b
Release:        %mkrel 2
Summary:        A ncurses frontend for the calendar application remind
Group:          Office
License:        GPLv2
URL:            http://www.eecs.umich.edu/~pelzlpj/wyrd/
Source0:        http://www.eecs.umich.edu/~pelzlpj/wyrd/%{name}-%{version}.tar.bz2
Source1:        wyrd-wyrdrc.local
Patch0:         wyrd-1.4.3b-wyrdrc-local.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExcludeArch:    ppc64
BuildRequires:	ocaml >= 3.08
BuildRequires:	remind >= 3.1.0
BuildRequires:  camlp4 ncurses-devel

%description
wyrd is a ncurses frontend for the calendar application remind.


%prep
%setup -q
%patch0 -p0


%build
%configure --enable-utf8
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install --mode 0644 -D %SOURCE1 $RPM_BUILD_ROOT/%{_sysconfdir}/wyrdrc.local


%post
al="/etc/profile.d/alias.sh"
pr="/etc/profile"
ba="/etc/bashrc"
if [ -x "$al" ]; then
  if ! cat $al | grep -q "^alias wyrd="; then
    echo 'alias wyrd="EDITOR=vim wyrd"'>>$al
  fi
elif [ -f "$pr" ]; then
  if ! cat $pr | grep -q "^EDITOR="; then
    echo 'EDITOR=vim'>>$pr
  fi
elif [ -f "$ba" ]; then
  if ! cat $ba | grep -q "^EDITOR="; then
    echo 'EDITOR=vim'>>$ba
  fi
else
  echo "You must add:"
  echo -e "\talias wyrd=\"EDITOR=vim wyrd\""
  echo -e  "to your ~/.bashrc file\n"
fi
echo "Please log out or restart your computer"
echo "to complete installation of wyrd."


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog doc/TODO doc/manual.pdf doc/manual.html
%config %{_sysconfdir}/wyrdrc
%config(noreplace) %{_sysconfdir}/wyrdrc.local
%{_bindir}/wyrd
%{_mandir}/man1/wyrd.1*
%{_mandir}/man5/wyrdrc.5*


%changelog
* Sat May 23 2009 Texstar <texstar@gmail.com> 1.4.3b-2pclos2009
- fix rpm group

* Tue Jan 01 2008 Stumpy842 <stump842@gmail.com> - 1.4.3b-1pclos2007
- Build for pclos
